import * as z from 'zod';
export const UserAggregateResultSchema = z.object({  _count: z.object({
    id: z.number(),
    username: z.number(),
    password: z.number(),
    autoBackupEnabled: z.number(),
    autoBackupHour: z.number(),
    usbBackupEnabled: z.number(),
    usbBackupHour: z.number(),
    autoMhCheckEnabled: z.number(),
    autoMhCheckDayOfWeek: z.number(),
    autoMhCheckHour: z.number(),
    patients: z.number(),
    appointments: z.number(),
    staff: z.number(),
    npiProviders: z.number(),
    claims: z.number(),
    insuranceCredentials: z.number(),
    shoppingVendors: z.number(),
    updatedPayments: z.number(),
    backups: z.number(),
    backupDestinations: z.number(),
    notifications: z.number(),
    cloudFolders: z.number(),
    cloudFiles: z.number(),
    communications: z.number(),
    twilioSettings: z.number(),
    aiSettings: z.number(),
    officeHours: z.number(),
    officeContact: z.number(),
    procedureTimeslot: z.number(),
    insuranceContacts: z.number(),
    patientConversations: z.number(),
    labRxTemplates: z.number(),
    seleniumSettings: z.number()
  }).optional(),
  _sum: z.object({
    id: z.number().nullable(),
    autoBackupHour: z.number().nullable(),
    usbBackupHour: z.number().nullable(),
    autoMhCheckDayOfWeek: z.number().nullable(),
    autoMhCheckHour: z.number().nullable()
  }).nullable().optional(),
  _avg: z.object({
    id: z.number().nullable(),
    autoBackupHour: z.number().nullable(),
    usbBackupHour: z.number().nullable(),
    autoMhCheckDayOfWeek: z.number().nullable(),
    autoMhCheckHour: z.number().nullable()
  }).nullable().optional(),
  _min: z.object({
    id: z.number().int().nullable(),
    username: z.string().nullable(),
    password: z.string().nullable(),
    autoBackupHour: z.number().int().nullable(),
    usbBackupHour: z.number().int().nullable(),
    autoMhCheckDayOfWeek: z.number().int().nullable(),
    autoMhCheckHour: z.number().int().nullable()
  }).nullable().optional(),
  _max: z.object({
    id: z.number().int().nullable(),
    username: z.string().nullable(),
    password: z.string().nullable(),
    autoBackupHour: z.number().int().nullable(),
    usbBackupHour: z.number().int().nullable(),
    autoMhCheckDayOfWeek: z.number().int().nullable(),
    autoMhCheckHour: z.number().int().nullable()
  }).nullable().optional()});